package cn.estsh.i3plus.pojo.aps.enums;

/**
 * @Description :预置的工作排序规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
public enum WORK_SORT_RULE {
    NONE,
    ORDER_LET,	// 订单交货期
    ORDER_PRIORITY,	// 订单优先级
    ORDER_EST,	// 订单最早开始时刻
    ORDER_COUNT,		// 订单数量
    ORDER_RECEIVE_DATE,// 订单接单日期
    ORDER_LET_SUB_EST,// 订单交货期与订单最早开始时刻之差
    ORDER_PRESSURE,	// 订单紧迫程度
    ORDER_SURPLUS,	// 订单余裕度
    NOPLAN_OPERATION_SIZE,// 残留工序数
    REMAIN_PRODUCE_TIME,	// 残留生产时间
    MIN_OPERATION_REMAIN_TIME,// 最小工序宽裕时间
    WORK_LET,		// 工作最晚结束时刻
    WORK_EST,		// 工作最早开始时刻
    INVENTORY_RELA,	// 订单物品库存量相对值
    FIRST_WORK_BEGIN,// 订单首工作上次开始时刻
    HAVE_HIGH_WORK,	// 订单中含有高级别工作
    WORK_RESOURCE_SIZE,		// 工作的可用资源数
    TOP_ORDER_LET,// 顶层订单的交货期
    TOP_ORDER_CODE, // 顶层订单代码
    TOP_ORDER_PRIORITY; // 顶层订单优先级
}
