package cn.estsh.i3plus.pojo.mes.pcn.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes生产工单页面按钮控制model")
public class MesWorkOrderButtonModel implements Serializable {

    @ApiParam("修改按钮")
    private boolean updateButton;

    @ApiParam("启动按钮")
    private boolean startUpButton;

    @ApiParam("暂停按钮")
    private boolean suspendButton;

    @ApiParam("取消按钮")
    private boolean revokeButton;

    @ApiParam("关闭按钮")
    private boolean closeButton;

    @ApiParam("完成按钮")
    private boolean completeButton;


}
