package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-09-18-17:36
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SHIFT_GROUP")
@Api("班组")
public class MesShiftGroup extends BaseBean {
    @Column(name = "GROUP_CODE")
    @ApiParam("班组代码")
    private String groupCode;

    @Column(name = "GROUP_NAME")
    @ApiParam("班组名称")
    private String groupName;
}
