package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquTaskDetailModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("作业任务编号")
    private String taskNo;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("执行状态")
    private Integer actionStatus;

    @ApiParam("整体结果")
    private Integer finalResult;

    @ApiParam("备注")
    private String memo;

    @ApiParam("维修标识")
    private Integer repairFlag;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam(value="生产线")
    private String workCenterCode;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("执行状态")
    private String actionStatusName;

    @ApiParam("整体结果")
    private String finalResultName;

    @ApiParam("维修标识")
    private String repairFlagName;

    @ApiParam("作业类型")
    private String taskTypeName;


    public MesEquTaskDetailModel() {

    }

    public MesEquTaskDetailModel(Long id, String taskNo, String equipmentCode, String equipmentName, String workCenterCode) {
        this.id = id;
        this.taskNo = taskNo;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.workCenterCode = workCenterCode;
    }

    public MesEquTaskDetailModel(Long id, String taskNo, String equipmentCode, String equipmentName, Integer actionStatus, Integer finalResult, String memo, Integer repairFlag, Integer taskType, String workCenterCode, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.taskNo = taskNo;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.actionStatus = actionStatus;
        this.finalResult = finalResult;
        this.memo = memo;
        this.repairFlag = repairFlag;
        this.taskType = taskType;
        this.workCenterCode = workCenterCode;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }
}
