package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquTaskModel implements Serializable {
    @ApiParam("id")
    private Long id;

    @ApiParam("作业任务编号")
    private String taskNo;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam("作业状态")
    private Integer taskStatus;

    @ApiParam(value="生产线")
    private String workCenterCode;

    @ApiParam("计划日期")
    private String planTime;

    @ApiParam("任务来源")
    private Integer taskSource;

    @ApiParam("备注")
    private String memo;

    @ApiParam("通知标识")
    private Integer notifyFlag;

    @ApiParam("关联任务")
    private String relateTask;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("作业类型")
    private String taskTypeName;

    @ApiParam("作业状态")
    private String taskStatusName;

    @ApiParam("任务来源")
    private String taskSourceName;

    @ApiParam("通知标识")
    private String notifyFlagName;

    @ApiParam("mes设备作业任务页面按钮控制")
    private MesButtonFlagModel equTaskButtonFlagModel;


    public MesEquTaskModel() {

    }

    public MesEquTaskModel(Long id, String taskNo, Integer taskType, Integer taskStatus, String workCenterCode, String planTime, Integer taskSource, String memo, Integer notifyFlag, String relateTask, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.taskNo = taskNo;
        this.taskType = taskType;
        this.taskStatus = taskStatus;
        this.workCenterCode = workCenterCode;
        this.planTime = planTime;
        this.taskSource = taskSource;
        this.memo = memo;
        this.notifyFlag = notifyFlag;
        this.relateTask = relateTask;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }
}
