package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class MesEquTaskNotifyModel implements Serializable {

    @ApiParam("作业任务编号")
    private String taskNo;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam("作业状态")
    private Integer taskStatus;

    @ApiParam(value="生产线")
    private String workCenterCode;

    @ApiParam("计划日期")
    private String planTime;

    @ApiParam("任务来源")
    private Integer taskSource;

    @ApiParam("通知标识")
    private Integer notifyFlag;

    @ApiParam("关联任务")
    private String relateTask;

    @ApiParam("通知类型")
    private Integer notifyType;

    @ApiParam("通知条件（小时）")
    private Integer notifyCondition;

    @ApiParam("通知对象")
    private String notifyObjectCode;

    @ApiParam("通知方式")
    private Integer notifyPattern;

    @ApiParam("对象值")
    private String notifyObjectValue;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("作业类型")
    private String taskTypeName;

    @ApiParam("作业状态")
    private String taskStatusName;

    @ApiParam("任务来源")
    private String taskSourceName;

    @ApiParam("通知标识")
    private String notifyFlagName;

    @ApiParam("通知类型")
    private Integer notifyTypeName;

    @ApiParam("通知方式")
    private Integer notifyPatternName;


    public MesEquTaskNotifyModel() {

    }

    public MesEquTaskNotifyModel(String taskNo, Integer taskType, Integer taskStatus, String workCenterCode, String planTime, Integer taskSource, Integer notifyFlag, String relateTask, Integer notifyType, Integer notifyCondition, String notifyObjectCode, Integer notifyPattern, String notifyObjectValue, String organizeCode) {
        this.taskNo = taskNo;
        this.taskType = taskType;
        this.taskStatus = taskStatus;
        this.workCenterCode = workCenterCode;
        this.planTime = planTime;
        this.taskSource = taskSource;
        this.notifyFlag = notifyFlag;
        this.relateTask = relateTask;
        this.notifyType = notifyType;
        this.notifyCondition = notifyCondition;
        this.notifyObjectCode = notifyObjectCode;
        this.notifyPattern = notifyPattern;
        this.notifyObjectValue = notifyObjectValue;
        this.organizeCode = organizeCode;
    }
}
